Bug 47149 - Build fail (encoding error)on Chinese version Windows XP OS
Build fail (encoding error)on Chinese version Windows XP OS
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Documentation
unspecified
PC Windows XP
: P2 minor (vote)
: default
Assigned To: Tomcat Developers Mailing List
: PatchAvailable
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-05-04 07:10 UTC by Xie Xiaodong
Modified: 2009-07-09 15:29 UTC (History)
0 users



Attachments
This is revised version of build.xml (29.47 KB, patch)
2009-05-04 07:13 UTC, Xie Xiaodong
Details | Diff
Proposed patch using ISO-8859-1 (1.29 KB, patch)
2009-06-05 14:21 UTC, Mark Thomas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xie Xiaodong 2009-05-04 07:10:13 UTC
When I build tomcat 6.0 trunk on my Chinese version Windows XP OS, I got an encoding error. So I'd like add <compilerarg line="-encoding UTF-8 "/> into all the <javac></javac> nodes in build.xml and dist.xml. Since I could only upload one file each time, I only upload revised version of build.xml. 

This is my first time to issue a bugzilla entry, sorry for the non-standard format.
Comment 1 Xie Xiaodong 2009-05-04 07:13:26 UTC
Created attachment 23606 [details]
This is revised version of build.xml

This is revised version of build.xml
Comment 2 Konstantin Kolinko 2009-05-17 06:50:07 UTC
You should not change 'Assigned To' field of a bug. Because of that the bug update notifications aren't coming to the dev@ mailing list.

I am resetting it to the default value.
Comment 3 Mark Thomas 2009-05-25 04:03:42 UTC
Fixed in trunk and proposed for 6.0.x
Comment 4 Mark Thomas 2009-06-05 14:13:49 UTC
Ignore my last comment. This isn't fixed in trunk yet.
Comment 5 Mark Thomas 2009-06-05 14:21:29 UTC
Created attachment 23765 [details]
Proposed patch using ISO-8859-1

The source files aren't UTF-8 encoded. They are ISO-8859-1.

Whilst I can get a Chinese copy of XP, I doubt I;d be able to use it. Could you test the attached patch and see if it works for you? If it does, I'll modify the other build scripts in the same way, apply the patch to trunk and propose it for 6.0.x
Comment 6 Konstantin Kolinko 2009-06-05 15:00:11 UTC
One correction: There is an easier way: use encoding="ISO-8859-1" attribute on the javac task. I see no need for the explicit <compilerarg>.
Comment 7 Xie Xiaodong 2009-06-05 15:51:22 UTC
The patch proposed by Konstantin Kolinko works fine for me. I think we could close this issue.
Comment 8 Xie Xiaodong 2009-06-05 15:52:16 UTC
Just add encoding="ISO-8859-1" at the end of all javac element.
Comment 9 Konstantin Kolinko 2009-07-04 09:40:00 UTC
Fixed in trunk, proposed for 6.0, 5.5.
Comment 10 Konstantin Kolinko 2009-07-09 15:29:20 UTC
Fixed in 5.5, 6.0. Will be in 5.5.28, 6.0.21 onwards.